---
components:
  schemas:
    AssistantObject:
      type: object
      properties:
        id:
          type: string
          description: The identifier of the assistant.
          example: asst_abc123
        object:
          type: string
          description: Type of the object, indicating it's an assistant.
          default: assistant
        version:
          type: integer
          description: Version number of the assistant.
          example: 1
        created_at:
          type: integer
          format: int64
          description: Unix timestamp representing the creation time of the assistant.
          example: 1698984975
        name:
          type: string
          description: Name of the assistant.
          example: Math Tutor
        description:
          type: string
          description: Description of the assistant. Can be null.
          example: null
        avatar:
          type: string
          description: URL of the assistant's avatar. Jan-specific property.
          example: https://pic.png
        models:
          type: array
          description: List of models associated with the assistant. Jan-specific property.
          items:
            type: object
            properties:
              model_id:
                type: string
                example: model_0
        instructions:
          type: string
          description: A system prompt for the assistant.
          example: Be concise
        events:
          type: object
          description: Event subscription settings for the assistant.
          properties:
            in:
              type: array
              items:
                type: string
            out:
              type: array
              items:
                type: string
        metadata:
          type: object
          description: Metadata associated with the assistant.
    ListAssistantsResponse: null
    CreateAssistantResponse:
      type: object
      properties:
        id:
          type: string
          description: The identifier of the assistant.
          example: asst_abc123
        object:
          type: string
          description: Type of the object, indicating it's an assistant.
          default: assistant
        version:
          type: integer
          description: Version number of the assistant.
          example: 1
        created_at:
          type: integer
          format: int64
          description: Unix timestamp representing the creation time of the assistant.
          example: 1698984975
        name:
          type: string
          description: Name of the assistant.
          example: Math Tutor
        description:
          type: string
          description: Description of the assistant. Can be null.
          example: null
        avatar:
          type: string
          description: URL of the assistant's avatar. Jan-specific property.
          example: https://pic.png
        models:
          type: array
          description: List of models associated with the assistant. Jan-specific property.
          items:
            type: object
            properties:
              model_id:
                type: string
                example: model_0
        instructions:
          type: string
          description: A system prompt for the assistant.
          example: Be concise
        events:
          type: object
          description: Event subscription settings for the assistant.
          properties:
            in:
              type: array
              items:
                type: string
            out:
              type: array
              items:
                type: string
        metadata:
          type: object
          description: Metadata associated with the assistant.
    RetrieveAssistantResponse:
      type: object
      properties:
        id:
          type: string
          description: The identifier of the assistant.
          example: asst_abc123
        object:
          type: string
          description: Type of the object, indicating it's an assistant.
          default: assistant
        version:
          type: integer
          description: Version number of the assistant.
          example: 1
        created_at:
          type: integer
          format: int64
          description: Unix timestamp representing the creation time of the assistant.
          example: 1698984975
        name:
          type: string
          description: Name of the assistant.
          example: Math Tutor
        description:
          type: string
          description: Description of the assistant. Can be null.
          example: null
        avatar:
          type: string
          description: URL of the assistant's avatar. Jan-specific property.
          example: https://pic.png
        models:
          type: array
          description: List of models associated with the assistant. Jan-specific property.
          items:
            type: object
            properties:
              model_id:
                type: string
                example: model_0
        instructions:
          type: string
          description: A system prompt for the assistant.
          example: Be concise
        events:
          type: object
          description: Event subscription settings for the assistant.
          properties:
            in:
              type: array
              items:
                type: string
            out:
              type: array
              items:
                type: string
        metadata:
          type: object
          description: Metadata associated with the assistant.
    ModifyAssistantObject:
      type: object
      properties:
        id:
          type: string
          description: The identifier of the assistant.
          example: asst_abc123
        object:
          type: string
          description: Type of the object, indicating it's an assistant.
          default: assistant
        version:
          type: integer
          description: Version number of the assistant.
          example: 1
        created_at:
          type: integer
          format: int64
          description: Unix timestamp representing the creation time of the assistant.
          example: 1698984975
        name:
          type: string
          description: Name of the assistant.
          example: Math Tutor
        description:
          type: string
          description: Description of the assistant. Can be null.
          example: null
        avatar:
          type: string
          description: URL of the assistant's avatar. Jan-specific property.
          example: https://pic.png
        models:
          type: array
          description: List of models associated with the assistant. Jan-specific property.
          items:
            type: object
            properties:
              model_id:
                type: string
                example: model_0
        instructions:
          type: string
          description: A system prompt for the assistant.
          example: Be concise
        events:
          type: object
          description: Event subscription settings for the assistant.
          properties:
            in:
              type: array
              items:
                type: string
            out:
              type: array
              items:
                type: string
        metadata:
          type: object
          description: Metadata associated with the assistant.
    ModifyAssistantResponse:
      type: object
      properties:
        id:
          type: string
          description: The identifier of the assistant.
          example: asst_abc123
        object:
          type: string
          description: Type of the object, indicating it's an assistant.
          default: assistant
        version:
          type: integer
          description: Version number of the assistant.
          example: 1
        created_at:
          type: integer
          format: int64
          description: Unix timestamp representing the creation time of the assistant.
          example: 1698984975
        name:
          type: string
          description: Name of the assistant.
          example: Physics Tutor
        description:
          type: string
          description: Description of the assistant. Can be null.
          example: null
        avatar:
          type: string
          description: URL of the assistant's avatar. Jan-specific property.
          example: https://pic.png
        models:
          type: array
          description: List of models associated with the assistant. Jan-specific property.
          items:
            type: object
            properties:
              model_id:
                type: string
                example: model_0
        instructions:
          type: string
          description: A system prompt for the assistant.
          example: Be concise!
        events:
          type: object
          description: Event subscription settings for the assistant.
          properties:
            in:
              type: array
              items:
                type: string
            out:
              type: array
              items:
                type: string
        metadata:
          type: object
          description: Metadata associated with the assistant.
    DeleteAssistantResponse:
      type: object
      properties:
        id:
          type: string
          description: The identifier of the deleted assistant.
          example: asst_abc123
        object:
          type: string
          description: Type of the object, indicating the assistant has been deleted.
          example: assistant.deleted
        deleted:
          type: boolean
          description: Indicates whether the assistant was successfully deleted.
          example: true
